xine-lib: IDMOVideoOutputOptimizations_vt Struct Reference

xine-lib 1.2.13-20230125hg15249

Public Member Functions | Data Fields
IDMOVideoOutputOptimizations_vt Struct Reference

`#include <dmo_interfaces.h>`

## Public Member Functions
| INHERIT_IUNKNOWN ()

## Data Fields
HRESULT STDCALL(* | QueryOperationModePreferences )(IDMOVideoOutputOptimizations *This, unsigned long ulOutputStreamIndex, unsigned long *pdwRequestedCapabilities)
HRESULT STDCALL(* | SetOperationMode )(IDMOVideoOutputOptimizations *This, unsigned long ulOutputStreamIndex, unsigned long dwEnabledFeatures)
HRESULT STDCALL(* | GetCurrentOperationMode )(IDMOVideoOutputOptimizations *This, unsigned long ulOutputStreamIndex, unsigned long *pdwEnabledFeatures)
HRESULT STDCALL(* | GetCurrentSampleRequirements )(IDMOVideoOutputOptimizations *This, unsigned long ulOutputStreamIndex, unsigned long *pdwRequestedFeatures)

## Member Function Documentation

## ◆ INHERIT_IUNKNOWN()

IDMOVideoOutputOptimizations_vt::INHERIT_IUNKNOWN | ( |  | ) |

## Field Documentation

## ◆ GetCurrentOperationMode

HRESULT STDCALL(* IDMOVideoOutputOptimizations_vt::GetCurrentOperationMode) (IDMOVideoOutputOptimizations *This, unsigned long ulOutputStreamIndex, unsigned long *pdwEnabledFeatures)

## ◆ GetCurrentSampleRequirements

HRESULT STDCALL(* IDMOVideoOutputOptimizations_vt::GetCurrentSampleRequirements) (IDMOVideoOutputOptimizations *This, unsigned long ulOutputStreamIndex, unsigned long *pdwRequestedFeatures)

## ◆ QueryOperationModePreferences

HRESULT STDCALL(* IDMOVideoOutputOptimizations_vt::QueryOperationModePreferences) (IDMOVideoOutputOptimizations *This, unsigned long ulOutputStreamIndex, unsigned long *pdwRequestedCapabilities)

Referenced by DMO_FilterCreate().

## ◆ SetOperationMode

HRESULT STDCALL(* IDMOVideoOutputOptimizations_vt::SetOperationMode) (IDMOVideoOutputOptimizations *This, unsigned long ulOutputStreamIndex, unsigned long dwEnabledFeatures)

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/libw32dll/dmo/dmo_interfaces.h